Docs
Update Modifier
PUT /resourceTypes/{resourceTypeId}/attributes/{resourceAttributeId}/modifiers/{modifierId}
PUT
/resourceTypes/{resourceTypeId}/attributes/{resourceAttributeId}/modifiers/{modifierId}Replaces a price modifier's fields. Requires ResourceTypeDatabase.Edit.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| resourceTypeId | uuid | Required | |
| resourceAttributeId | uuid | Required | |
| modifierId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| value | string | Optional | |
| costType | string | Optional | |
| costAmount | number | Optional | |
| chargeType | string | Optional | |
| chargeAmount | number | Optional | |
| application | string | Optional |